# Anleitung zum Auswerteprogramm ESA22a #
*****************************************

*(Auswertung von ESA22c-List-Mode-Daten (ESA22-Spektrometer))*

13.Jun.2007 K. Huber, Strahlenzentrum Univ. Gießen
Version 27.Jan.2009

1 Über diese Anleitung
**********************

Diese Anleitung zum ESA22a-Auswerteprogramm steht in verschiedenen
Formaten zur Verfügung. Die entsprechenden Files finden Sie auf dem
Servix unter /usr/exp/ex_help oder auf Ihrem Experiment-Account unter
$HOME/ex_home/ex_help:

     esa22a.txt  Text-Format, kann z.B. mit `a2ps' in handlichem Format
                 gedruckt werden.
     esa22a.dvi  DVI-Format, kann z.B. mit `dvips' auf einem
                 Postscript-Drucker gedruckt werden oder mit `xdvi' auf
                 einem X-Windows Bildschirm dargestellt werden.
     esa22a.html HTML-Format, kann mit jedem HTML-Browser (z.B.
                 `netscape') gelesen werden.
     esa22a.info INFO-Format, kann mit dem `GNU-Info-Browser' (`info -f
                 esa22a.info') und `GNU-emacs' gelesen werden.  So wird
                 der Info-Browser bedient (Start mit Tastenfolge TAB,
                 ENTER): info.  (Zurück mit L, L, ...).
     esa22a.pdf  PDF-Format, mit dem `Acrobat-Reader' zu lesen.

2 Funktion von ESA22a
*********************

2.1 Überblick
=============

Für das ESA22-Elektronen-Spektrometer existieren folgende
Datenerfassungs- und Auswerteprogramme:
     ESA22m  Messung einer Position-Computer-Matrix
     ESA22s  Messung von Energie-Scan Matrizen
     ESA22t  Messung eines Koinzidenz-Zeit-Spektrums
     ESA22c  Messung von Koinzidenz-List-Mode Daten
     ESA22f  Messung von Formfaktor-Spektren
     ESA22a  Auswertung von ESA22c List-Mode Daten

   Die List-Mode-Daten einer ESA22c-Messung enthalten Echtzeit- und
Spektrometer-Energie-Informationen, Elektron-Ion-Laufzeitdaten und
Positionsdaten für die Elektronen. Das ESA22a-Programm extrahiert aus
den List-Mode-Daten in einem vorgegebenen Zeit- und Energiebereich ein
Elektron-Ion-Laufzeitspektrum und eine Positionsmatrix für den
Koinzidenzbereich, sowie je eine Positionsmatrix für rechten und linken
Untergrund, die zur weiteren Verarbeitung als ASCII-File und im binären
Strahlenzentrumsformat abgespeichert werden können.

   Zum Extrahieren der Spektren verlangt ESA22a zuerst die Angabe eines
Zeit- und Energie-Fensters. Innerhalb dieses Fensters akkumuliert
ESA22a ein Laufzeitspektrum, das es anschließend zum Setzen von vier
Markern zum Abgrenzen der Koinzidenz- und Untergrund-Bereiche graphisch
darstellt.

   Nach Eingabe der Marker werden innerhalb des vorgegebenen Fensters
die drei Positionsmatrizen für Koinzidenz- und linkem und rechtem
Untergrund akkumuliert.

   Das ESA22a-Programm kann von dem ESA22c-Messprogramm gestartet
werden unter dem Menü-Punkt "Analyse Spectrum". Es wird dann die gerade
laufende ESA22c-Messung online ausgewertet. Der Start von ESA22a
erfolgt in diesem Fall üblicherweise unter Umgehung des Hauptmenüs. Die
Rückkehr ins Hauptmenü von ESA22a kann jedoch durch ^Z erzwungen
werden. Dort kann unter dem Menüpunkt "Set Configuration" ein anderes
Verhalten beim Start durch ESA22c eingestellt werden (see Startup mode.).

ESA22a ist zur Zeit lauffähig auf folgenden Plattformen:
   * VME Experiment-Rechner-System mit VxWorks Betriebssystem

   * DS5000 Workstations mit Ultrix Betriebssystem (Tutnix, Kannix,
     Hatnix)

   * AlphaServer mit True-64-Unix Betriebssystem (Servix)

   * PC mit Linux Betriebssystem (Atomix)

   Als Bildschirm wird ein  *VT240/330/340* Terminal, ein Unix-Host mit
*xterm* oder *dxterm* oder ein PC mit *TeraTerm* benötigt.

   Für die mehrfarbige Darstellung der Matrizen als "Contour Plot" über
einen PC ist wegen des Fehlens einer mehrfarbigen Terminalemulation
für den PC der Umweg über den Servix mittels XWIN32 notwendig. Der
Servix besitzt mit dem Regis-Protokoll des *dxterm*-Programmes eine
geeignete Emulation.  ESA22a muss für *dxterm/Regis* konfiguriert werden
(see ESA22a Konfigurations-Menü.).

2.2 Wirkungsquerschnittsberechnung
==================================

*(zur Zeit nicht implementiert!)*

2.3 Datenformate
================

Sowohl die ESA22c-Messdaten-Files als auch die ESA22a-Ergebnis-Files
entsprechen dem Strahlenzentrumsstandard und können deshalb mit einer
Anzahl vorhandener Programme weiterverarbeitet werden.
   * Sie beginnen mit einem Header von 512 Bytes Länge, der am Anfang
     einen standardisierten Teil enthält und anschließend noch
     eine Reihe weiterer, Messprogramm spezifischer Daten 	(z.B.
     Lifetime-, Realtime-Zähler usw.).

   * Die Kanäle der Spektren sind als INTEGER*4 (BYTES = 4) deklariert,
     d.h. jeder Kanal kann ca. 4*10^9 Ereignisse aufnehmen.

2.3.1 ESA22c-List-Mode-Datenformat
----------------------------------

Eine detaillierte Beschreibung des ESA22c-List-Mode-Datenformats finden
Sie in der Anleitung zum ESA22c-Messprogramm.

2.3.2 ESA22a-Ergebnis-Datenformat
---------------------------------

*Struktur der ESA22a-Daten-Files*
Anschließend an den Header folgen das Laufzeit-Spektrum (T-Spektrum) und
drei Positions-Matrizen (X/Y-Matrix): Koinzidenz-Matrix, linke
Untergrund-Matrix und rechte Untergrund-Matrix.
Die Länge des Laufzeit-Spektrums ist wählbar. Die Länge der
Positions-Matrizen ist mit 256 * 256 Kanälen fest vorgegeben.
Die im Standardteil des Headers angegebene Anzahl der Spalten und
Zeilen ist:
COLS = 256
ROWS = 3 * 256 + int((<Länge T-Spektrum> -1) / 256) +1
      ---
       |
       | Header, 512 Bytes
       |
      ---
       |
       | Ergebnis-T-Spektrum, ((ROWS - 3*256) * 256 * 4) Bytes
       |
      ---
       |
       | Koinzidenz-X/Y-Matrix, (256 * 256 * 4) Bytes
       |
      ---
       |
       | Linke Untergrund-X/Y-Matrix, (256 * 256 * 4) Bytes
       |
      ---
       |
       | Rechte Untergrund-X/Y-Matrix, (256 * 256 * 4) Bytes
       |
      ---

   *Struktur der ESA22a Header Daten:*
#define lIDHDR 8
#define lHDLEN 1
#define lEXPMNT 6
#define lIDPRG 8
#define lSTDAT 9
#define lSTTIM 8
#define lSPDAT 9
#define lSPTIM 8
#define lSPENAM 8
#define lSPTYPE 4
#define lPLANES 6
#define lROWS 6
#define lCOLS 6
#define lBYTES 1
#define lHDFREE 4
#define lRESRV 38
#define lLTXT 4
#define lTEXT 80
Plattformabhängige Definitionen:
UINT1: 1 Byte  "unsigned int"
UINT2: 2 Bytes "unsigned int"
UINT4: 4 Bytes "unsigned int"
REAL4: 4 Bytes "float"
REAL8: 8 Bytes "float"

typedef union {
    struct {
        struct {
            char idhdr[lIDHDR];   /* Identification of header: "STRZ-VXW" */
            char hdlen[lHDLEN];   /* Length of header: "1" */
            char expmnt[lEXPMNT]; /* Experiment */
            char idprg[lIDPRG];   /* ID of generating Program: "ESA22a  " */
            char stdat[lSTDAT];   /* Date of start */
            char sttim[lSTTIM];   /* Time of start */
            char spdat[lSPDAT];   /* Date of stop */
            char sptim[lSPTIM];   /* Time of stop */
            char spenam[lSPENAM]; /* Name of spectrum */
            char sptype[lSPTYPE]; /* Type of spectrum: "ESAa" */
            char rows[lROWS];     /* Number of rows: "n/256 + 3*256" */
            char cols[lCOLS];     /* Channels/row: "   256" */
            char bytes[lBYTES];   /* Bytes/channel: "4" */
            char hdfree[lHDFREE]; /* First free byte in header (0,...) */
            char resrv[lRESRV];   /* Reserved */
            char ltxt[lLTXT];     /* Length of text: "80" */
            char text[lTEXT];     /* Text */
        } stddat;   /* Standard data of header */
        struct {
            UINT2 status;         /* Status of spectrum */
            REAL8 rltime;         /* Realtime [s] */
            REAL8 lftime;         /* Lifetime [s] */
            REAL8 rltlow;         /* Analysed from realtime [s] */
            REAL8 rlthgh;         /* Analysed to realtime [s] */
            REAL8 stplow;         /* Analysed from energy step [eV] */
            REAL8 stphgh;         /* Analysed to energy step [eV] */
            UINT4 datcnt;         /* Processed x-y-t data */
            UINT4 pildat;         /* Lost Position Computer data */
            UINT4 outcnt;         /* ADC data out of range */
            UINT4 xsqerr;         /* XYT data sequence errors */
            UINT4 csqerr;         /* Counter data sequence errors */
            UINT4 dclcnt;         /* Lifetime for Duty cycle calculation */
            UINT4 xyterr;         /* XYT interface errors */
            UINT4 rejcnt;         /* Rejected data */
            UINT4 fulcnt;         /* Fifo full counter */
            UINT4 errcnt;         /* Error counter */
            UINT4 rstcnt;         /* ESA22c restarts */
            UINT4 adclen;         /* Length of ADC spectrum */
            UINT4 pcmlen;         /* Length of Pos. Comp. spectrum */
            UINT4 pcmoff;         /* Offset of Pos. Comp. spectrum */
            UINT4 ielec;          /* Integrated current electr beam */
            UINT4 iions;          /* Integrated current ion beam */
            REAL8 iprod;          /* Integrated (ielec * iions) */
            UINT4 steps;          /* Number of energy steps */
            UINT1 stepmod;        /* Step mode (u/d/b) up/down/both */
            UINT2 rmpwait;        /* Pause when voltage ramping */
            REAL8 stpsiz;         /* Energy step size */
            REAL8 mine;           /* Min. scan energy */
            REAL8 maxe;           /* Max. scan energy */
            REAL8 decelv;         /* Deceleration voltage */
            REAL8 sttime;         /* Startup time */
            REAL8 offtime;        /* Off time */
            REAL8 ontime;         /* On time */
            REAL4 expar[25];      /* Extended ESA22c parameters */
            INT4 marsav[4];       /* Integration marker set */
       } spcdat;   /* ESA22a special data of header */
    } hdata;        /* Header data */
    struct {
        char h512[512];         /* Fill 512 bytes block */
    } htotal;        /* Total header */
} HEADER;

   *ESA22c Experiment-Parameter:*
expar[ ] |
---------+--------------------------------------------
   0     | Electron beam energy [eV]
   1     | Ion charge [q]
   2     | Ion mass [amu]
   3     | Ion energy [eV]
   4     | Efficiency [%]
   5     | Time base divider (freq= 2**(-EXPAR[5]) MHz)
   6     | Electron current converter range
   7     | Electr. current conv. full scale freq. [Hz]
   8     | Ion current converter range
   9     | Ion current converter full scale freq. [Hz]
  10     | Entrance slit [mm]
  11     | Exit slit [mm]
  12     | Calibration constant 1
  13     | Calibration constant 2
  14     | Pass energy [eV]
  15     | Chamber pressure [mb]
  16     | Buffer pressure [mb]

3 Bedienung von ESA22a
**********************

Das Programm ist weitgehend selbsterklärend. Die notwendigen Eingaben
werden in Dialogform angefordert. Der Dialog ist in einer
Hierarchiestruktur aufgebaut, wobei mittels Menülisten von einer
Dialogebene in die andere gewechselt werden kann. Für Parametereingaben
existieren im Allgemeinen Vorbelegungswerte, die editiert werden
können. Die graphischen Bildschirmausgaben werden durch
Funktionstasteneingaben gesteuert.

3.1 ESA22a Top-Menü
===================

3.1.1 Exit ESA22a
-----------------

Verlassen des Programmes.

3.1.2 Show header
-----------------

Mit diesem Aufruf wird der Header des ESA22c-Spektrums ausgegeben, so
wie man dies auch vom ESA22c-Messprogramm gewohnt ist:

   * *Experiment; Program; Spectrum*
     Name des Experimentes; Name des Programmes; Name des Spektrums.

   * *Title*
     Titelzeile zur Beschreibung des Experimentes.

   * *Start; Stop*
     Startzeit und -datum; Stopzeit und -datum.

   * *Realtime*
     Die Zeit in Sekunden, während der das Experiment gestartet war,
     auf volle 0.1 Sekunden abgerundet.

   * *Lifetime*
     Die um die Totzeit korrigierte Zeit (Realtime - Deadtime), die der
     Messung zur Datenaufnahme zur Verfügung stand. Es wird nur die
     Lifetime des XYT-Interfaces registriert.

   * *Duty cycle*
     Anzeige des gemessenen Messzeit-/Pause-Verhältnisses.

   * *MB List Mode data*
     Länge des List-Mode-Datensatzes in Bytes.

   * *x-y-t data*
     Anzahl der verarbeiteten Position-Laufzeit-Datenpaare.

   * *Position data lost*
     Anzahl der Totzeitverluste des Position-Computer-Interfaces.

   * *Time data out of range*
     Anzahl der Fälle, in denen das Format des Zeitspektrums
     überschritten wurde.

   * *x-y-t data sequence errors*
     Anzahl der Fälle, in denen die erwartete Reihenfolge der
     ankommenden x-y-t Daten (erst x-y dann t) durchbrochen wurde.

   * *Counters sequence errors*
     Anzahl der Fälle, in denen die erwartete Reihenfolge der
     ankommenden Zählerdaten (erst Zähler-Synch.-Signal dann 4
     Zählerdaten) durchbrochen wurde.

   * *Rejected data*
     Anzahl der Daten, die auf Grund ihrer Datenkennung ausgesondert
     wurden, weil sie mit dem Experiment in keinem Zusammenhang stehen.
     Entweder wurde beim Start die Datenkennung falsch angegeben, oder
     es ist eine zusätzliche Datenquelle unbeabsichtigt  mitgelaufen.
     Solche Daten werden nicht in den List-Mode-Daten-File übertragen.

   * *XYT interface errors*
     Anzahl der vom XYT-Interface gemeldeten Fehler.

   * *Fifo overflows*
     Anzahl der Fälle, in denen die Bearbeitung der Daten nicht Schritt
     halten konnte und Datenverluste auftraten.

   * *Data errors*
     Anzahl der Daten, die durch Hardware-Fehler oder -Störungen
     verstümmelt übertragen wurden.

Auf den folgenden Seiten werden die Ergebnisse der Stromintegration,
die Experiment beschreibenden Parameter und die
Experiment-Steuer-Parameter ausgegeben. Eine Beschreibung dieser
Parameter findet man in der Anleitung zum Messprogramm ESA22c.
   * *Beam current integration*
     Stromintegration

   * *Experiment parameters*
     Experiment beschreibende Parameter

   * *Experiment Control File data*
     Experiment-Steuer-Parameter

3.1.3 Analyse List Mode data
----------------------------

Übergang zum ESA22a Auswerte-Menü.
(see ESA22a Auswerte-Menü.)

3.1.4 Load List Mode data
-------------------------

Laden von neuen ESA22c-List-Mode-Daten zur Auswertung.  Die Angabe des
Dateinamens muss im File-Format des Host-Rechners erfolgen, z.B.
~/ex_home/ex_data/test.spe für einen Unix-Host. Tilde (~) und $HOME
werden als Home-Directory des zugehörigen Accounts verstanden.

3.1.5 Convert spectrum to ASCII
-------------------------------

Das Laufzeitspektrum und die Positionsmatrix der ESA22c-Datei werden mit
oder ohne Header und mit oder ohne Kanalnummern in ASCII Form auf einen
File geschrieben.

   Die Ausgabe der Spektren erfolgt in der Reihenfolge:
  1. Header

  2. Laufzeitspektrum

  3. Positionsmatrix

   Die Matrix wird in folgender Reihenfolge ausgegeben:
Zeile 1, Spalte 1;
Zeile 1, Spalte 2;
...
Zeile 2, Spalte 1;
Zeile 2, Spalte 2;
...

3.1.6 Execute shell command
---------------------------

Ausführung von Shell-Kommandos. Unter VxWorks (VME-Systeme) steht nur
eine kleine Auswahl von Kommandos zur Verfügung (cd, ls, pwd, whoami).

3.1.7 Set configuration
-----------------------

Führt zum ESA22a Konfigurations-Menü.  Unter diesem Menüpunkt erfolgen
alle notwendigen Anpassungen des Programmes.
(see ESA22a Konfigurations-Menü.)

3.1.8 Help
----------

Bringt diesen Info-Text auf den Bildschirm.

3.2 ESA22a Auswerte-Menü
========================

3.2.1 Return
------------

Rückkehr zum Top-Menü.

3.2.2 Analyse total T-spectrum
------------------------------

Der ESA22c List-Mode-Daten-File enthält stets ein
Elektron-Ion-Laufzeitspektrum, das über die gesamte Messzeit
akkumuliert wurde.  Auf dieses Laufzeitspektrum können die
Darstellungs-Funktionen des ESA22a-Programmes angewendet werden (see
Graphische Ausgabe von Spektren.).  Mit ^H (Control H) können die in
den einzelnen Funktionen zur Verfügung stehenden Kommandos aufgelistet
werden.

3.2.3 Show total X/Y-matrix
---------------------------

Der ESA22c List-Mode-Daten-File enthält stets eine Positionsmatrix der
Elektronen, die über die gesamte Messzeit akkumuliert wurde.  Diese
Matrix kann mit den "Hidden Lines" und "Contour Plot" Funktionen
graphisch dargestellt werden:
  1. "Hidden Lines" Darstellung der totalen X/Y-Matrix
     	(see "Hidden Lines" Darstellung von Matrizen.)

  2. "Contour Plot" Darstellung der totalen X/Y-Matrix
     	(see "Contour Plot" Darstellung von Matrizen.)
        ESA22a startet stets mit Funktion 1. Mit ^D kann zur jeweils
anderen Funktion gewechselt werden.
Mit ^H (Control H) können die in den einzelnen Funktionen zur Verfügung
stehenden Kommandos aufgelistet werden.

3.2.4 Extract spectra from List Mode data
-----------------------------------------

Aus den List-Mode-Daten können unter Vorgabe von Randbedingen
verschiedene Laufzeitspektren (T-Spektren) und Positionsmatrizen
(X/Y-Matrizen) gewonnen werden.

   Die List-Mode-Daten enthalten Realtime-Marker im 0.1 s Takt und
Spektrometer-Energie-Informationen.  Zum Extrahieren der Spektren
verlangt ESA22a die Angabe eines Zeit- und Energie-Fensters für einen
Ausschnitt aus den List-Mode-Daten.  Innerhalb dieses Fensters
akkumuliert ESA22a ein Laufzeitspektrum, das es anschließend zum Setzen
von vier Markern zum Abgrenzen der Koinzidenz- und Untergrund-Bereiche
graphisch darstellt.

   * *Length of T-spectrum:*
     Anzahl der Kanäle, mit der das Laufzeitspektrum angelegt werden
     soll.

   * *Format of X/Y-matrix:*
     Das Format der Positionsmatrizen ist fest vorgegeben mit 256 * 256
     Kanälen.

   * *Realtime from-to:*
     Realtime-Marker, bei denen die Analyse beginnt bzw. endet.

   * *Energy steps from-to:*
     Bereich der Energieschritte, über den die Analyse gehen soll.

   Nach Eingabe der Marker werden innerhalb des vorgegebenen Zeit- und
Energie-Fensters die drei Positionsmatrizen für Koinzidenz und linken
und rechten Untergrund akkumuliert und der Header des neu erstellten
ESA22a-Daten-Files in der folgenden Form ausgegeben:

Experiment: esa22 ;  Program: ESA22a;  Spectrum: test

ESA22a Spectrum  ---  Strahlenzentrum Universitaet Giessen
Start: 29-MAY-07 09:11:18;  Stop: 29-MAY-07 10:42:58

ESA22c List Mode data analysed
      from realtime 0.0s to 5409.5s
      from energy step 1 to 10

    5409.5 Realtime [s]
    5354.1 Lifetime [s]
      6488 x-y-t data
       123 Position data lost
         0 Restarts
         0 Time data out of range
         1 x-y-t data sequence errors
         0 Counters sequence errors
         0 XYT interface errors
         0 Fifo overflows
         0 Total data errors

Beam current integration
Elektron beam:    37976143
Ion beam:         19059930
Elektrons * Ions:  1.3376e+10
   Der ESA22a-Daten-File wird nicht automatisch auf die Festplatte
gerettet!

3.2.5 Show coincidence matrix
-----------------------------

Die zuvor extrahierte Koinzidenzmatrix kann mit den "Hidden Lines"
(see "Hidden Lines" Darstellung von Matrizen.) und "Contour Plot"
(see "Contour Plot" Darstellung von Matrizen.) Funktionen graphisch
dargestellt werden.

3.2.6 Convert extracted spectra to ASCII
----------------------------------------

Das Laufzeitspektrum und die drei Positionsmatrizen werden mit oder ohne
Header und mit oder ohne Kanalnummern in ASCII Form auf einen File
geschrieben.

   Die Ausgabe der Spektren erfolgt in der Reihenfolge:
  1. Header

  2. Laufzeitspektrum

  3. Koinzidenzmatrix

  4. Linke Untergrundmatrix

  5. Rechte Untergrundmatrix

   Die Matrizen werden in folgender Reihenfolge ausgegeben:
Zeile 1, Spalte 1;
Zeile 1, Spalte 2;
...
Zeile 2, Spalte 1;
Zeile 2, Spalte 2;
...

3.2.7 Analyse extracted T-spectrum
----------------------------------

Auf das extrahierte Laufzeitspektrum können die Darstellungs-Funktionen
des ESA22a-Programmes angewendet werden (see Graphische Ausgabe von Spektren.).
Mit ^H (Control H) können die in den einzelnen
Funktionen zur Verfügung stehenden Kommandos aufgelistet werden.

3.2.8 Show left background matrix
---------------------------------

Die zuvor extrahierte linke Untergrundmatrix kann mit den "Hidden
Lines" (see "Hidden Lines" Darstellung von Matrizen.) und "Contour
Plot" (see "Contour Plot" Darstellung von Matrizen.)  Funktionen
graphisch dargestellt werden.

3.2.9 Show right background matrix
----------------------------------

Die zuvor extrahierte rechte Untergrundmatrix kann mit den "Hidden
Lines" (see "Hidden Lines" Darstellung von Matrizen.)  und "Contour
Plot" (see "Contour Plot" Darstellung von Matrizen.)  Funktionen
graphisch dargestellt werden.

3.2.10 Save extracted spectra to disk
-------------------------------------

Retten des ESA22a-Daten-Files auf die Festplatte.

3.2.11 Delete extracted spectra from disk
-----------------------------------------

Löschen eines ESA22a-Daten-Files von der Festplatte.

3.3 ESA22a Konfigurations-Menü
==============================

Unter diesem Konfigurations-Menü erfolgen alle notwendigen Anpassungen
des Programmes. Beim allerersten Start des Programmes wird dieser
Menüpunkt stets automatisch aufgerufen. Danach sollte er nur noch bei
Konfigurationsänderungen benutzt werden.

3.3.1 OK
--------

Rückkehr zum Top-Menü.

3.3.2 Terminals and printers
----------------------------

Dieser Menüpunkt enthält ein Untermenü zum Auswählen eines passenden
Terminals und Druckers bzw. zur Definition von solchen:
    Select terminal
    Select printer
    Define terminal
    Define printer

   Sollte keines der Terminals oder der Drucker passend sein, so kann
eines der vorhandenen Geräte angepasst werden. Dazu wird es zuerst
selektiert und dann neu definiert:

   Printer-Definition für einen normalen Netzwerkdrucker
Comment: LaserJet in 202 (hplaser)
Command: lpr -Phplaser esa22a.tmp; rm esa22a.tmp
File   : esa22a.tmp
Select language (PS)
Select device type (Printer)

   Printer-Definition für einen lokal am VME-Rechner angeschlossenen
Drucker
Comment: Printer at MVME1xx Port 2
Command:
File   : /tyCo/1
Select language (HPGL)
Select device type (File)

   Printer-Definition für einen an einem PC angeschlossenen Drucker
Comment: Printer at <Server>
Command: ex_home/ex_prog/PC-print <Server> <Service> <Passwort> esa22a.tmp
File   : esa22a.tmp
Select language (PS)
Select device type (Printer)

   Printer-Definition für die Erzeugung von Files ohne zu drucken.
Um nicht jedesmal einen neuen File-Namen definieren zu müssen, können
diese in gewissen Grenzen automatisch generiert werden. Dazu können bei
der Druckerdefinition im File-Namen folgende Sonderzeichen verwendet
werden:
*  wird ersetzt durch den Namen des Spektrums
$  wird ersetzt durch den "Graphic Mode" (z.B. HPGL)
#  wird ersetzt durch eine fortlaufende Nummer
   (Consecutive print number), die bei der Auswahl eines
   Printers neu gesetzt werden kann.

Comment: ASCII files with unique names
Command:
File   : *.$.#
Select language (ASCII)
Select device type (FILE)

3.3.3 Startup mode
------------------

Einstellmöglichkeit zur Umgehung des Hauptmenüs beim Start durch ein
anderes Programm. Das Hauptmenü kann dann nur durch Eingabe von ^Z in
einer der graphischen Funktionen erreicht werden.

3.3.4 Message mode
------------------

Print verbose messages:
Bei Angabe einer "1" werden ausführlichere Meldungen ausgegeben.

   Delay messages:
Gelegentlich wird eine vorausgehende von einer nachfolgenden Meldung so
rasch überschrieben, dass sie nicht gelesen werden kann. Hier kann für
Meldungen eine Mindestverweilzeit (in Sek.) auf dem Bildschirm
angegeben werden. Dies verzögert natürlich die Bedienung des Programmes
und sollte deshalb nur für Testzwecke eingeschaltet werden.

3.4 Graphische Ausgabe von Spektren
===================================

Das Spektrum kann in vielfältiger Weise graphisch dargestellt und
gedruckt werden. Mit einem Marker kann es vermessen werden.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

*Exits:*
CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                  Start von ESA22a,
CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                  falls von solchem gestartet.
^Z Return to main menu        -Rückkehr zum Hauptmenü.

*Specials:*
^T Zero spectrum              -Löschen des dargestellten Spektrums,
^T Not available in this context  jedoch nur wenn ESA22a durch ein Messprogramm
                                  gestartet wurde und die Messung nur ein
                                  "Test-Run" ist.

*Functions:*
^H Help                       -Auflisten der möglichen Kommandos.
^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
^B Backup parameter set; restore with ^L
                              -Retten des aktuellen Display-Parametersatzes.
^L Load parameter set; saved by ^B
                              -Laden des zuvor geretteten Parametersatzes.
^P Print screen               -druckt den Bildschirminhalt.
^R Refresh display with fit to marker
                              -neuer Bildaufbau, so dass Marker sichbar ist.
SP Refresh display            -neuer Bildaufbau.

*Display commands:*
R  Shift right                -schiebt das Spektrum um 20% nach rechts.
L  Shift left                 -schiebt das Spektrum um 20% nach links.
E  Expand X                   -Dehnen der X-Achse um den Faktor 2 mit
                                  dem Vermessungsmarker als Zentrum.
C  Compress X                 -Stauchen der X-Achse um den Faktor 2 mit
                                  dem Vermessungsmarker als Zentrum.
U  Up Y                       -Dehnen der Y-Achse um den Faktor 2.
D  Down Y                     -Stauchen der Y-Achse um den Faktor 2.
N  Normalize Y                -Normieren des Y-Maßstabes auf den maximalen Y Wert.
F  Full spectrum              -Darstellung des ganzen Spektrums.
A  All spectra of matrix      -alle Spektren einer Matrix darstellen.
I  Input                      -numerische Eingabemöglichkeit für
                                  einige Darstellungsparameter.
                                  X-OFFSET = X-Nullpunktsverschiebung
                                  LENGTH = Länge des dargestellten Ausschnitts
                                  Y-OFFSET = Y-Nullpunktsverschiebung (s.h. Y)
1... Number of spectrum, end with SPACE
                              -Auswahl eines Spektrums (Zeile) einer Matrix
                                  durch Angabe seiner Nummer 1,2....
                                  Ist die Eingabe kürzer als die max.
                                  mögliche, dann mit <SPACE> abschließen.

*Display modes:*
V  Vectors                    -Darstellung durch Vektoren.
P  Points                     -Darstellung durch Punkte.
S  Statistical errors         -Fehlerbalken-Darstellung
H  Histogram                  -Histogramm-Darstellung
X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Y
T  Text on/off                -Ein- und Ausblenden der Markerbeschriftung
B  Base line on/off           -Ein- und Ausblenden der Nulllinie.
Y  Y-offset on/off (LIN mode only)
                              -Bei jeder Y-Normierung (N) wird aus den
                                  auftretenden Kanalinhalten ein passender
                                  Y-offset berechnet, dessen Berücksichtigung
                                  bei der Darstellung durch die Eingabe von Y
                                  gesteuert wird. Nur für lineare Darstellung.

*Marker commands:*
<Cursor left>  Shift marker left
<Cursor down>  Shift marker fast left
                              -Linksschieben des Markers, maximal bis zum
                                  linken Nachbarn.
<Cursor right>  Shift marker right
<Cursor up>  Shift marker fast right
                              -Rechtsschieben des Markers, maximal bis zum
                                  rechten Nachbarn.
<  Shift marker fast left     -Falls die verwendete Terminalemulation
>  Shift marker fast right        Probleme mit den Cursor-Tasten hat, können
                                  diese beiden Kommandos helfen. Bei aus-
                                  reichendem Spreizen des Spektrums können
                                  einzelne Kanäle erreicht werden.
T  Flag on/off                -Ein- und Ausblenden der Markerbeschriftung

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden. Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

3.5 Auswertung von Laufzeitspektren
===================================

Im Laufzeitspektrum werden mit vier Markern der linke und rechte
Untergrund sowie der Koinzidenz-Peak angegeben. Die Marker können nur
genau auf einen Kanal des Spektrums positioniert werden und nicht
dazwischen. Benachbarte Marker können sich nicht überkreuzen, und
behalten einen Mindestabstand von 2 Kanälen.  Die Integrationsgrenzen
reichen von den Kanälen (einschließlich):
        M1    -> M2 -1    linker Untergrund
        M2    -> M3       Peak
        M3 +1 -> M4       rechter Untergrund

   Zur graphischen Markereingabe stehen folgende Kommandos zur
Verfügung, die auch mit ^H (Control H) online gelistet werden können:

*Exits:*
CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                  Start von ESA22a,
CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                  falls von solchem gestartet.
^Z Return to main menu        -Rückkehr zum Hauptmenü.

*Specials:*
^T Zero spectrum              -Löschen des ESA22c Spektrums,
^T Not available in this context  jedoch nur wenn ESA22a durch ein Messprogramm
                                  gestartet wurde und die Messung nur ein
                                  "Test-Run" ist.

*Functions:*
^H Help                       -Auflisten der möglichen Kommandos.
^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
^B Backup parameter set; restore with ^L
                              -Retten des aktuellen Display-Parametersatzes.
^L Load parameter set; saved by ^B
                              -Laden des zuvor geretteten Parametersatzes.
^P Print screen               -druckt den Bildschirminhalt.
^R Refresh display with fit to markers
                              -neuer Bildaufbau, so dass alle Marker sichtbar sind.
SP Refresh display            -neuer Bildaufbau.

*Display commands:*
R  Shift right                -schiebt das Spektrum um 20% nach rechts.
L  Shift left                 -schiebt das Spektrum um 20% nach links.
E  Expand X                   -Dehnen der X-Achse um den Faktor 2
C  Compress X                 -Stauchen der X-Achse um den Faktor 2
U  Up Y                       -Dehnen der Y-Achse um den Faktor 2.
D  Down Y                     -Stauchen der Y-Achse um den Faktor 2.
N  Normalize Y                -Normieren des Y-Maßstabes auf den maximalen Y Wert.
F  Full spectrum              -Darstellung des ganzen Spektrums.
I  Input                      -numerische Eingabemöglichkeit für die
                                  Integrationsgrenzen.

*Display modes:*
V  Vectors                    -Darstellung durch Vektoren.
P  Points                     -Darstellung durch Punkte.
S  Statistical errors         -Fehlerbalken-Darstellung
H  Histogram                  -Histogramm-Darstellung
X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Y
T  Text on/off                -Ein- und Ausblenden der Markerbeschriftung
B  Base line on/off           -Ein- und Ausblenden der Nulllinie.
Y  Y-offset on/off (LIN mode only)
                              -Bei jeder Y-Normierung (N) wird aus den
                                  auftretenden Kanalinhalten ein passender
                                  Y-offset berechnet, dessen Berücksichtigung
                                  bei der Darstellung durch die Eingabe von Y
                                  gesteuert wird. Nur für lineare Darstellung.

*Marker commands:*
M1...M4 Select marker 1...4   -Die Markerpositionierungseingaben wirken nur
                                  auf den gerade aktiven Marker. Mit diesem
                                  Kommando wird einer der vier Marker (von
                                  links gezählt) zum aktiven Marker erklärt.
                                  Achtung, mehrere Marker können in der
                                  Darstellung an der gleichen Position
                                  übereinanderliegen.
M< Select next marker left    -Marker links vom aktiven Marker wird zum neuen
                                  aktiven Marker.
M> Select next marker right   -Marker rechts vom aktiven Marker wird zum
                                  neuen aktiven Marker.
MM Same as M>                 -Wie M>
<Cursor left>  Shift current marker left
<Cursor down>  Shift current marker fast left
                              -Linksschieben des aktiven Markers, maximal
                                  bis zum linken Nachbarn.
<Cursor right>  Shift current marker right
<Cursor up>  Shift current marker fast right
                              -Rechtsschieben des aktiven Markers, maximal
                                  bis zum rechten Nachbarn.
 <  Shift current marker fast left
 >  Shift current marker fast right
                              -Falls die verwendete Terminalemulation
                                  Probleme mit den Cursor-Tasten hat, können
                                  diese beiden Kommandos helfen. Bei aus-
                                  reichendem Spreizen des Spektrums können
                                  einzelne Kanäle erreicht werden.
MS  Save current marker positions to spectrum
                              -Die aktuellen Markerpositionen werden im
                                  Header des Spektrums abgespeichert und
                                  stehen bei einem erneuten Laden des
                                  Spektrums durch ESA22a wieder zu Verfügung.
T  Flags on/off                -Ein- und Ausblenden der Markerbeschriftung

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden. Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

3.6 "Hidden Lines" Darstellung von Matrizen
===========================================

Diese Funktion erlaubt verschiedene Darstellungen von Matrizen z.B.
verschiedene Blickwinkel und verdeckte Linien.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

*Exits:*
CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                  Start von ESA22a,
CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                  falls von solchem gestartet.
^Z Return to main menu        -Rückkehr zum Hauptmenü.
^D Contour Plot               -Wechsel zur "Contour Plot" Darstellung.
                                  Dort gibt es ein eigenes Help,
                                  das mit ^H abgerufen werden kann.

*Specials:*
^T Zero spectrum              -Löschen der dargestellten Matrix,
^T Not available in this context  jedoch nur wenn ESA22a durch ein Messprogramm
                                  gestartet wurde und die Messung nur ein
                                  "Test-Run" ist.

*Functions:*
^H Help                       -Auflisten der möglichen Kommandos.
^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
^B Backup parameter set; restore with ^L
                              -Retten des aktuellen Display-Parametersatzes.
^L Load parameter set; saved by ^B
                              -Laden des zuvor geretteten Parametersatzes.
^P Print screen               -druckt den Bildschirminhalt.
^R Refresh display            -neuer Bildaufbau.
SP Refresh display            -neuer Bildaufbau.

*Display commands:*
E  Expand matrix              -Vermehren der Matrixpunkte um den Faktor 4
                                  durch Auflösen je zweier zuvor zusammen-
                                  gefasster benachbarter Zeilen und Spalten.
C  Compress matrix            -Reduzieren der Matrixpunkte um den Faktor 4
                                  durch Zusammenfassen je zweier benachbarter
                                  Zeilen und Spalten.
U  Up Z                       -Dehnen der Z-Achse um den Faktor 2.
D  Down Z                     -Stauchen der Z-Achse um den Faktor 2.
N  Normalize Z                -Normieren des Z-Maßstabes auf den maximalen Z Wert.

*Cursor control keys:*
<Cursor Right> Increase isometric shift X
                              -Vergrößert die seitliche Verschiebung
                                  der Zeilen gegeneinander.
Cursor Left>   Decrease isometric shift X
                              -Verkleinert die seitliche Verschiebung
                                  der Zeilen gegeneinander.
<Cursor Up>    Increase isometric shift Y
                              -Vergrößert den Abstand der Zeilen.
<Cursor Down>  Decrease isometric shift Y
                              -Verkleinert den Abstand der Zeilen.

*Display modes:*
M  Plot mode: -> Lines plot -> Surface plot -> Grid plot ->
                              -Darstellungsart:
                                  Liniendarstellung
                                  Oberflächendarstellung
                                  Gitterdarstellung
H  Hidden lines: -> no -> upper -> lower -> both surfaces ->
                              -Verdeckte Linien Modus
                                  keine verdeckten Linien
                                  nur Oberseite sichtbar
                                  nur Unterseite sichtbar
                                  beide Seiten sichtbar
X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Z
T  Text on/off                -Ein- und Ausblenden des Textes.

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden. Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

3.7 "Contour Plot" Darstellung von Matrizen
===========================================

Graphische Darstellung von Matrizen im Höhenlinienformat. Angepasst an
das jeweilige Ausgabegerät stehen 2 - 16 Farben bzw. Graustufen zur
Darstellung zur Verfügung. Ein Ausdruck entspricht deshalb in den
Farben nicht unbedingt der Darstellung auf dem Bildschirm.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

*Exits:*
CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                  Start von ESA22a,
CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                  falls von solchem gestartet.
^Z Return to main menu        -Rückkehr zum Hauptmenü.
^D Show matrix                -Wechsel zur "Hidden Lines" Darstellung.
                                  Dort gibt es ein eigenes Help,
                                  das mit ^H abgerufen werden kann.

*Specials:*
^T Zero spectrum              -Löschen des bearbeiteten Spektrums,
^T Not available in this context  jedoch nur wenn ESA22a durch ein Messprogramm
                                  gestartet wurde und die Messung nur ein
                                  "Test-Run" ist.

*Functions:*
^H Help                       -Auflisten der möglichen Kommandos.
^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
^B Backup parameter set; restore with ^L
                              -Retten des aktuellen Display-Parametersatzes.
^L Load parameter set; saved by ^B
                              -Laden des zuvor geretteten Parametersatzes.
^P Print screen               -druckt den Bildschirminhalt.
^R Refresh display            -neuer Bildaufbau.
SP Refresh display            -neuer Bildaufbau.

*Display commands:*
E  Expand matrix              -Vermehren der Matrixpunkte um den Faktor 4
                                  durch Auflösen je zweier zuvor zusammen-
                                  gefasster benachbarter Zeilen und Spalten.
C  Compress matrix            -Reduzieren der Matrixpunkte um den Faktor 4
                                  durch Zusammenfassen je zweier benachbarter
                                  Zeilen und Spalten.
U  Up Z                       -Dehnen der Z-Achse um den Faktor 1.2.
D  Down Z                     -Stauchen der Z-Achse um den Faktor 1.2.
N  Normalize Z                -Normieren des Z-Maßstabes auf den maximalen Z Wert.

*Display modes:*
X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Z
T  Text on/off                -Ein- und Ausblenden des Textes.

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden. Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.